var ClearlytrunkingC = UCPMC.extend({
	init: function(){
	},
	prepoll: function() {
		var exts = [];
		return exts;
	},
	poll: function(data) {
		var self = this;
		if($(".grid-stack-item[data-rawname=clearlytrunking]").length) {
			$("#clearlytrunking-location-name").html(data.name);
			$("#clearlytrunking-location-description").html(data.description ? ' - '+data.description : '');
			$("#clearlytrunking-location-address").html(data.address);
		}

	},
	displayWidget: function(widget_id,dashboard_id) {
		var self = this;
	},
	displayWidgetSettings: function(widget_id,dashboard_id) {
		$("#emergencylocation").change(function() {
			if($("#emergencylocation").val().length && !$("#emergencyendpoint").val().length) {
				UCP.showAlert(_('Please select a valid Call-Back Profile before selecting a location'),'danger');
				return;
			}
			$.post( UCP.ajaxUrl, {module:"clearlytrunking", command: "changeLocation", location: $(this).val()})
			.done(function(res){
				$("#clearlytrunking-location-name").html(res.name);
				$("#clearlytrunking-location-description").html(res.description ? ' - '+res.description : '');
				$("#clearlytrunking-location-address").html(res.address);
			}).always(function() {
			}).fail(function() {
				UCP.showAlert(_('An Unknown error occured'),'danger');
			});
		});
		$("#emergencyendpoint").change(function() {
			if(!$(this).val().length) {
				$("#emergencylocation").val("").selectpicker('render');
			}
			$.post( UCP.ajaxUrl, {module:"clearlytrunking", command: "changeEndpoint", endpoint: $(this).val()})
			.done(function(res){
				$("#clearlytrunking-endpoint-name").html(res.name);
				$("#clearlytrunking-endpoint-callername").html(res.callername);
				$("#clearlytrunking-endpoint-callbacknumber").html(res.callbacknumber);
			}).always(function() {
			}).fail(function() {
				UCP.showAlert(_('An Unknown error occured'),'danger');
			});
		});
	},
});
